Fiskil Docs

Handle Income

returns an income summary for the end-user. This is calculated over all consents associated with the end-user in real-time, and includes data from all connected bank accounts

GET
/v1/banking/income

returns an income summary for the end-user. This is calculated over all consents associated with the end-user in real-time, and includes data from all connected bank accounts

Query Parameters

end_user_idstringrequired

A unique identifier for the End User object.

fromstring

Start date (inclusive) in ISO-8601 date format (YYYY-MM-DD). Defaults to 6 months before today if omitted.

tostring

End date (inclusive) in ISO-8601 date format (YYYY-MM-DD). Defaults to today if omitted.

categoriesarray<string>

One or many income categories to include

account_idarray<string>

List of account IDs to include. Pass multiple instances of account_id to include multiple accounts. Defaults to all available accounts if omitted

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/banking/income?end_user_id=eu_12345"
{  "income_sources": [    {      "account_id": "acc_1234",      "category": "INCOME_SALARY",      "currency": "AUD",      "income_frequency": "MONTHLY",      "income_total": "17650.00",      "institution_id": "1",      "period_from": "2025-05-08",      "period_to": "2025-07-08",      "total_transactions": 3,      "transactions": [        null      ]    }  ],  "income_summary": {    "monthly_avg": [      {        "currency": "AUD",        "income_monthly": "5883.33"      }    ],    "monthly_median": [      {        "currency": "AUD",        "income_monthly": "5883.33"      }    ],    "period_from": "2025-05-08",    "period_to": "2025-07-08",    "total": [      {        "currency": "AUD",        "income_total": "17650.00"      }    ],    "total_transactions": 3  }}
{  "id": "string",  "message": "string",  "name": "string"}
{  "id": "string",  "message": "string",  "name": "string"}